Bug 120104 - [patch] sysutils/xfce4-wavelan-plugin unbreak fix with >= 700042 (new wlan API)
Summary: [patch] sysutils/xfce4-wavelan-plugin unbreak fix with >= 700042 (new wlan API)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-28 22:40 UTC by Pietro Cerutti
Modified: 2008-03-14 16:29 UTC (History)
0 users

See Also:


Attachments
_xfce4-wavelan-plugin.diff (7.53 KB, patch)
2008-01-28 22:40 UTC, Pietro Cerutti
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pietro Cerutti 2008-01-28 22:40:00 UTC

The patch below:

- fixes the build on FreeBSD >= 700042 by accounting for the new wireless API
- adds information about network card and datarate to the tooltip (why was the information missing?!?)
Comment 1 Edwin Groothuis freebsd_committer 2008-01-28 22:54:26 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Chess Griffin 2008-02-04 22:22:38 UTC
This patches and builds fine on my local i386 RELENG-7 tinderbox.

--=20
Chess Griffin
GPG Key:  0x0C7558C3
http://www.chessgriffin.com
Comment 3 Pietro Cerutti 2008-02-04 22:26:16 UTC
Chess Griffin wrote:
> This patches and builds fine on my local i386 RELENG-7 tinderbox.
> 


Does it also work as expected?

You should see something similar to this (look at the bottom of the
screen dump):

http://www.gahr.ch/FreeBSD/misc/xfce4-wlan-plugin_multiline.png

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 4 Chess Griffin 2008-02-05 02:02:26 UTC
On Mon, 04 Feb 2008 23:26:16 +0100
Pietro Cerutti <gahr@gahr.ch> wrote:

> Chess Griffin wrote:
> > This patches and builds fine on my local i386 RELENG-7 tinderbox.
> > 
> 
> Does it also work as expected?
> 
> You should see something similar to this (look at the bottom of the
> screen dump):
> 
> http://www.gahr.ch/FreeBSD/misc/xfce4-wlan-plugin_multiline.png
> 


Yes, sorry, I should have mentioned that.  The applet works as expected
and displays information about my ath(4) device.

Thanks for getting this working.

-- 
Chess Griffin
GPG Public Key:  0x0C7558C3
http://www.chessgriffin.com
Comment 5 Pietro Cerutti 2008-02-14 18:44:39 UTC
The check is against the wrong __FreeBSD_version value: should be 700000
instead of 700042.

Thanks Lucio Guerberoff for pointing this out!

Here's the new version:

http://www.gahr.ch/FreeBSD/patches/120104_xfce4-wavelan-plugin.diff

-- 
Pietro Cerutti

PGP Public Key:
http://gahr.ch/pgp
Comment 6 Martin Wilke freebsd_committer 2008-03-14 16:29:38 UTC
State Changed
From-To: open->closed

Committed. Thanks!